import { GraphQLClient } from 'graphql-request';
import { CreateInferenceBackendMutationVariables, UpdateInferenceBackendMutationVariables } from '../gql/graphql';
import { BaseFunctions } from './BaseFunctions';
import { ListInferenceBackendsQueryVariables } from '../gql/graphql';
declare class InferenceBackendFunctions extends BaseFunctions {
    constructor(client: GraphQLClient);
    listInferenceBackends(options: ListInferenceBackendsQueryVariables): Promise<import("../gql/graphql").ListInferenceBackendsQuery>;
    getInferenceBackend(modelId: number): Promise<import("../gql/graphql").GetInferenceBackendQuery>;
    createInferenceBackend(InferenceBackendData: CreateInferenceBackendMutationVariables['data']): Promise<import("../gql/graphql").CreateInferenceBackendMutation>;
    updateInferenceBackend(modelId: number, InferenceBackendData: UpdateInferenceBackendMutationVariables['data']): Promise<import("../gql/graphql").UpdateInferenceBackendMutation>;
    deleteInferenceBackend(modelId: number): Promise<import("../gql/graphql").DeleteInferenceBackendMutation>;
}
export { InferenceBackendFunctions };
